Subject: Re: [PATCH] copy.c: make copy_fd preserve meaningful errno

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Nov 2014 09:48:19 -0800

Michael Haggerty <[email-masked]> writes:

> On 11/21/2014 10:14 AM, Michael Haggerty wrote:
>> Couldn't we save ourselves a lot of this "save_errno" boilerplate by
>> making error() and warning() preserve errno? [...]
>
> Never mind; I see that Peff already submitted a patch to this effect.

My understanding of the conclusion of those four patches was that
only a single updated one is needed, and "moving save/restore inside
error()" did not have to survive.

  http://article.gmane.org/gmane.comp.version-control.git/259911